"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of an array's elements.
 */
class ArrayDeclarationMutator {
    constructor() {
        this.name = 'ArrayDeclaration';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isArrayExpression(node)) {
            const mutatedNode = copy(node);
            mutatedNode.elements = node.elements.length ? [] : [types.stringLiteral('Stryker was here')];
            nodes.push(mutatedNode);
        }
        else if ((types.isCallExpression(node) || types.isNewExpression(node)) && types.isIdentifier(node.callee) && node.callee.name === 'Array') {
            const mutatedNode = copy(node);
            mutatedNode.arguments = node.arguments.length ? [] : [types.arrayExpression()];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = ArrayDeclarationMutator;
//# sourceMappingURL=ArrayDeclarationMutator.js.map