"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Block.
 */
class BlockStatementMutator {
    constructor() {
        this.name = 'BlockStatement';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isBlockStatement(node) && node.body.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.body = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = BlockStatementMutator;
//# sourceMappingURL=BlockStatementMutator.js.map