"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class BooleanLiteralMutator {
    constructor() {
        this.name = 'BooleanLiteral';
        this.unaryBooleanPrefix = '!';
    }
    mutate(node, copy) {
        const nodes = [];
        // true -> false or false -> true
        if (types.isBooleanLiteral(node)) {
            const mutatedNode = copy(node);
            mutatedNode.value = !mutatedNode.value;
            nodes.push(mutatedNode);
        }
        else if (types.isUnaryExpression(node) && node.operator === this.unaryBooleanPrefix && node.prefix) {
            const mutatedNode = copy(node.argument);
            mutatedNode.start = node.start;
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = BooleanLiteralMutator;
//# sourceMappingURL=BooleanLiteralMutator.js.map