"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class EqualityOperatorMutator {
    constructor() {
        this.operators = {
            '<': ['<=', '>='],
            '<=': ['<', '>'],
            '>': ['>=', '<='],
            '>=': ['>', '<'],
            '==': '!=',
            '!=': '==',
            '===': '!==',
            '!==': '==='
        };
        this.name = 'EqualityOperator';
    }
    mutate(node, clone) {
        if (types.isBinaryExpression(node)) {
            let mutatedOperators = this.operators[node.operator];
            if (mutatedOperators) {
                if (typeof mutatedOperators === 'string') {
                    mutatedOperators = [mutatedOperators];
                }
                return mutatedOperators.map(mutatedOperator => {
                    const mutatedNode = clone(node);
                    mutatedNode.operator = mutatedOperator;
                    return mutatedNode;
                });
            }
        }
        return [];
    }
}
exports.default = EqualityOperatorMutator;
//# sourceMappingURL=EqualityOperatorMutator.js.map