"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class LogicalOperatorMutator {
    constructor() {
        this.operators = {
            '&&': '||',
            '||': '&&'
        };
        this.name = 'LogicalOperator';
    }
    mutate(node, clone) {
        if (types.isLogicalExpression(node)) {
            let mutatedOperators = this.operators[node.operator];
            if (mutatedOperators) {
                if (typeof mutatedOperators === 'string') {
                    mutatedOperators = [mutatedOperators];
                }
                return mutatedOperators.map(mutatedOperator => {
                    const mutatedNode = clone(node);
                    mutatedNode.operator = mutatedOperator;
                    return mutatedNode;
                });
            }
        }
        return [];
    }
}
exports.default = LogicalOperatorMutator;
//# sourceMappingURL=LogicalOperatorMutator.js.map