"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Object.
 */
class ObjectLiteralMutator {
    constructor() {
        this.name = 'ObjectLiteral';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isObjectExpression(node) && node.properties.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.properties = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = ObjectLiteralMutator;
//# sourceMappingURL=ObjectLiteralMutator.js.map