"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class StringLiteralMutator {
    constructor() {
        this.name = 'StringLiteral';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isTemplateLiteral(node)) {
            nodes.push({
                end: node.end,
                innerComments: node.innerComments,
                leadingComments: node.leadingComments,
                loc: node.loc,
                start: node.start,
                trailingComments: node.trailingComments,
                type: 'StringLiteral',
                value: node.quasis.length === 1 && node.quasis[0].value.raw.length === 0 ? 'Stryker was here!' : ''
            });
        }
        else if ((!node.parent || this.isDeclarationOrJSX(node.parent)) && types.isStringLiteral(node)) {
            const mutatedNode = copy(node);
            mutatedNode.value = mutatedNode.value.length === 0 ? 'Stryker was here!' : '';
            nodes.push(mutatedNode);
        }
        return nodes;
    }
    isDeclarationOrJSX(parent) {
        return !types.isImportDeclaration(parent) && !types.isExportDeclaration(parent) && !types.isJSXAttribute(parent);
    }
}
exports.default = StringLiteralMutator;
//# sourceMappingURL=StringLiteralMutator.js.map