"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class UnaryOperatorMutator {
    constructor() {
        this.name = 'UnaryOperator';
        this.operators = {
            '+': '-',
            '-': '+',
            '~': ''
        };
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isUnaryExpression(node) && this.operators[node.operator] !== undefined && node.prefix) {
            if (this.operators[node.operator].length > 0) {
                const mutatedNode = copy(node);
                mutatedNode.operator = this.operators[node.operator];
                nodes.push(mutatedNode);
            }
            else {
                const mutatedNode = copy(node.argument);
                mutatedNode.start = node.start;
                nodes.push(mutatedNode);
            }
        }
        return nodes;
    }
}
exports.default = UnaryOperatorMutator;
//# sourceMappingURL=UnaryOperatorMutator.js.map