"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class UpdateOperatorMutator {
    constructor() {
        this.name = 'UpdateOperator';
        this.operators = {
            '++': '--',
            '--': '++'
        };
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isUpdateExpression(node) && this.operators[node.operator] !== undefined) {
            const mutatedNode = copy(node);
            mutatedNode.operator = this.operators[node.operator];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = UpdateOperatorMutator;
//# sourceMappingURL=UpdateOperatorMutator.js.map